org.richfaces.fragment.pickList

## Class RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions

- java.lang.Object
- - org.richfaces.fragment.orderingList.AbstractOrderingList.AdvancedOrderingListInteractions
  - - org.richfaces.fragment.pickList.RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesPickList.OrderingListInPickList

      public class RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions
      extends AbstractOrderingList.AdvancedOrderingListInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getBottomButtonElement()`
    `org.openqa.selenium.WebElement` | `getCaptionElement()`
    `org.openqa.selenium.WebElement` | `getContentAreaElement()`
    `org.openqa.selenium.WebElement` | `getDownButtonElement()`
    `org.openqa.selenium.WebElement` | `getHeaderElement()`
    `List<org.openqa.selenium.WebElement>` | `getItemsElements()`
    `ListComponent<? extends SelectableListItem>` | `getList()`
    `List<org.openqa.selenium.WebElement>` | `getSelectedItemsElements()`
    `protected String` | `getStyleForSelectedItem()`
    `org.openqa.selenium.WebElement` | `getTopButtonElement()`
    `org.openqa.selenium.WebElement` | `getUpButtonElement()`

    - ### Methods inherited from class org.richfaces.fragment.orderingList.AbstractOrderingList.AdvancedOrderingListInteractions

      `getRootElement, isVisible, select, select, select`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions

          public RichFacesPickList.OrderingListInPickList.AdvancedOrderingListInPickListInteractions()

  - ### Method Detail

    - #### getBottomButtonElement

          public org.openqa.selenium.WebElement getBottomButtonElement()

      Specified by:
        `getBottomButtonElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getCaptionElement

          public org.openqa.selenium.WebElement getCaptionElement()

      Specified by:
        `getCaptionElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getDownButtonElement

          public org.openqa.selenium.WebElement getDownButtonElement()

      Specified by:
        `getDownButtonElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getHeaderElement

          public org.openqa.selenium.WebElement getHeaderElement()

      Specified by:
        `getHeaderElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getItemsElements

          public List<org.openqa.selenium.WebElement> getItemsElements()

      Specified by:
        `getItemsElements` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getList

          public ListComponent<? extends SelectableListItem> getList()

      Specified by:
        `getList` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getContentAreaElement

          public org.openqa.selenium.WebElement getContentAreaElement()

      Specified by:
        `getContentAreaElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getSelectedItemsElements

          public List<org.openqa.selenium.WebElement> getSelectedItemsElements()

      Specified by:
        `getSelectedItemsElements` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getStyleForSelectedItem

          protected String getStyleForSelectedItem()

      Specified by:
        `getStyleForSelectedItem` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getTopButtonElement

          public org.openqa.selenium.WebElement getTopButtonElement()

      Specified by:
        `getTopButtonElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

    - #### getUpButtonElement

          public org.openqa.selenium.WebElement getUpButtonElement()

      Specified by:
        `getUpButtonElement` in class `AbstractOrderingList.AdvancedOrderingListInteractions`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.